View Issue Details

IDProjectCategoryView StatusLast Update
0002166OXID eShop (all versions)1.02. Price calculations (discounts, coupons, additional costs etc.)public2017-06-27 09:59
Reportertabsl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionopen 
Product Version4.4.3 revision 30016 
Target VersionFixed in Version4.5.0 revision 34568 
Summary0002166: Negative discount is not calculated in the basket
DescriptionWhen discount is inserted as negative amount (i.e. "-10 EUR") it is not calculated in the basket (simply ignored and discount line is not shown in estimation).
Negative discount may be used i.e. for adding additional costs in case if too less items are added to basket ("small-volume purchases").
So if discount is negative number it still should be calculated in the estimation (should add defined amount to Total sum).
Additional Informationsee bug 0001934.

the bug is back again ;-)
TagsDiscount
ThemeNot defined
BrowserAll
PHP VersionNot defined
Database VersionNot defined

Relationships

related to 0001934 resolvedvilma_liorensaityte Negative discount is not calculated in the basket 
related to 0002042 closedbenjamin.joerger "Ignore negative Discounts" don't works anymore in 4.4.1 

Activities

birute_meilutyte

2010-10-20 13:41

reporter   ~0003614

Reminder sent to: tabsl

Hello,

sorry, but i can not reproduce the case - negative discount is added to total sum (was checking in eShop version 4.4.3)
could you please let us know, if this issue can be reproduced on demoshops?
http://demoshop.oxid-esales.com/professional-edition/
http://demoshop.oxid-esales.com/enterprise-edition/

greetings,

tabsl

2010-10-20 14:02

reporter   ~0003616

yes

1) user registrieren
2) rabatt erstellen und dementsprechend konfigurieren, wert: -5 (abs)
3) produkt auswählen, UVP vergeben und "negative nachlässe" auswählen
4) produkt in warenkorb legen
5) aufschlag wird nicht angezeigt

birute_meilutyte

2010-10-28 09:32

reporter   ~0003640

Reminder sent to: tabsl

Hello,

if i understood correctly, in you described scenario, Administer Products -> Products -> Extended tab option "Skip all negative Discounts (Discounts, Vouchers, Delivery ...)" is ON for product?

we would appreciate, if all bug reports and comments here would be written in English.

greetings,

tabsl

2010-10-28 09:56

reporter   ~0003641

yes that´s right!

QA

2017-06-27 09:59

administrator   ~0012148

Bug was fixed in 4.5.0 and ist still fixed in the latest version PE/EE 4.10.4/5.3.4.
So Bug will be closed.